%global rbname chasen
Summary: Ruby/Chasen extension module
Name: ruby-%{rbname}

%global momorel 7

Version: 1.6
Release: %{momorel}m%{?dist}
Group: Development/Libraries
License: GPL
URL: http://raa.ruby-lang.org/list.rhtml?name=ruby-chasen

Source: http://www.itlb.te.noda.sut.ac.jp/~ikarashi/ruby/chasen%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: ruby
BuildRequires: ruby-devel >= 1.8.6-4m
BuildRequires: chasen-devel

%description
This extension module is a Ruby binding of Chasen.

%prep
%setup -q -n %{rbname}%{version}

%build
ruby extconf.rb
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc chasen.html sample
%{ruby_sitearchdir}/*

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.6-7m)
- rebuild against gcc43

* Thu Mar 20 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.6-6m)
- rebuild against chasen-2.4.2-1m

* Mon Jun 18 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.6-5m)
- rebuild against ruby-1.8.6-4m

* Fri Jul 15 2005 Toru Hoshina <t@momonga-linux.org>
- (1.6-4m)
- /usr/lib/ruby

* Wed Aug  4 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6-3m)
- rebuild against ruby-1.8.2

* Sun Feb 22 2004 Toru Hoshina <t@www.momonga-linux.org>
- (1.6-2m)
- No NoSource ;-)

* Thu Jan  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.6-1m)
- initial import
